import AdminFarm from "../pages/admin/adminfarm/adminfarm";
import AdminGrower from "../pages/admin/admingrower/admingrower";
import AdminProduce from "../pages/admin/adminproduce/adminproduce";
import Gis from "../pages/admin/gis/gis";
// import Screen from "../pages/admin/gis/screen/screen";
import Service from "../pages/admin/service/service";
import Login from "../pages/login/login";
import NotFound from "../pages/notfound/notfound";
import Screen from "../pages/admin/gis/screen/screen";
import Plotinquiry from '../pages/admin/gis/plotinquiry/plotinquiry'
import Mapping from '../pages/admin/gis/mapping/mapping'
import ProduceRecord from '../pages/admin/gis/produceRecord/produceRecord'
import WeatherData from '../pages/admin/gis/weatherData/weatherData'
import Satellite from '../pages/admin/gis/satellite/satellite'
import Account from '../pages/admin/admingrower/account/account'
import ChangeAdmin from "../pages/admin/admingrower/changeadmin/changeadmin";
import InviteAdmin from "../pages/admin/admingrower/inviteadmin/inviteadmin";
import BasicInformation from "../pages/admin/admingrower/basicinformation/basicinformation";
import MyFarm from "../pages/admin/adminfarm/myfarm/myfarm";
import Planning from "../pages/admin/adminproduce/planning/planning";
import Implement from "../pages/admin/adminproduce/implement/implement";
import PlantSv from "../pages/admin/service/plantsv/plantsv";
import TestsoilSv from "../pages/admin/service/testsoilsv/testsoilsv";
import BankSv from "../pages/admin/service/banksv/banksv";
import InsuranceSv from "../pages/admin/service/insurancesv/insurancesv";


export const mainRoutes = [
  {
    path: "/login",
    element: <Login />,
  },
  {
    path:'/notfound',
    element:<NotFound/>
  }
];

export const adminRoutes = [
  {
    path: "/gis/*",
    element: <Gis/>,
    label:'GIS',
    children:[
      {path:'/screen',label:'种植大屏',element:<Screen/>},
      {path:'/plotinquiry',label:'地块查询',element:<Plotinquiry/>},
      {path:'/mapping',label:'测绘导航',element:<Mapping/>},
      {path:'/produceRecord',label:'生产履历',element:<ProduceRecord/>},
      {path:'/weatherData',label:'气象数据',element:<WeatherData/>},
      {path:'/satellite',label:'卫星遥感',element:<Satellite/>},
    ]
  },
  {
    path:"/admingrower/*",
    element:<AdminGrower/>,
    label:'种植者管理',
    children:[
      {path:'/basicinformation',label:'种植者基础信息',element:<BasicInformation/>},
      {path:'/account',label:'种植者员工账号',element:<Account/>},
      {path:'/inviteadmin',label:'邀请管理',element:<InviteAdmin/>},
      {path:'/changeadmin',label:'交接管理',element:<ChangeAdmin/>},
    ],
  },
  {
    path:'/adminfarm/*',
    element:<AdminFarm/>,
    label:'农场管理',
    children:[
      {path:'/myfarm', label:'我的农场',element:<MyFarm/>}
    ]
  },
  {
    path:'/adminproduce/*',
    element:<AdminProduce/>,
    label:'生产管理',
    children:[
      {path:'planning', label:'种植计划任务', element:<Planning/>},
      {path:'implement', label:'种植计划实施', element:<Implement/>}
    ]
  },
  {
    path:'/service/*',
    element:<Service/>,
    label:'服务机构',
    children:[
      {path:'/plantsv',label:'种植服务机构',element:<PlantSv/>},
      {path:'/testsoilsv',label:'测土检验机构',element:<TestsoilSv/>},
      {path:'/banksv',label:'农业银行机构',element:<BankSv/>},
      {path:'/insurance',label:'农业保险机构',element:<InsuranceSv/>},
    ]
  }
];
